## GcmSensorClient

GcmSensorClient — SensorClient device abstraction

## Synopsis

    struct              GcmSensorClient;
    struct              GcmSensorClientClass;
    GcmSensorClient *   gcm_sensor_client_new               (void);
    GcmSensor *         gcm_sensor_client_get_sensor        (GcmSensorClient *sensor_client);
    gboolean            gcm_sensor_client_get_present       (GcmSensorClient *sensor_client);
                        GcmSensorClientPrivate;

## Object Hierarchy

      GObject
       +----GcmSensorClient

## Properties

      "present"                  gboolean              : Read

## Signals

      "changed"                                        : Run Last

## Description

This object allows the programmer to detect a color sensor device.

## Details

### struct GcmSensorClient

    struct GcmSensorClient;

### struct GcmSensorClientClass

    struct GcmSensorClientClass {
    	GObjectClass parent_class;

    	/* signals */
    	void		(* changed)			(void);
    	/* padding for future expansion */
    	void (*_gcm_reserved1) (void);
    	void (*_gcm_reserved2) (void);
    	void (*_gcm_reserved3) (void);
    	void (*_gcm_reserved4) (void);
    	void (*_gcm_reserved5) (void);
    };

### gcm_sensor_client_new ()

    GcmSensorClient *   gcm_sensor_client_new               (void);

Returns : | a new GcmSensorClient object.

Since 2.91.1

### gcm_sensor_client_get_sensor ()

    GcmSensor *         gcm_sensor_client_get_sensor        (GcmSensorClient *sensor_client);

Since 2.91.1

### gcm_sensor_client_get_present ()

    gboolean            gcm_sensor_client_get_present       (GcmSensorClient *sensor_client);

Since 2.91.1

### GcmSensorClientPrivate

    typedef struct _GcmSensorClientPrivate GcmSensorClientPrivate;

Private GcmSensorClient data

## Property Details

### The `"present"` property

      "present"                  gboolean              : Read

Default value: FALSE

## Signal Details

### The `"changed"` signal

    void                user_function                      (GcmSensorClient *arg0,
                                                            gpointer         user_data)      : Run Last

`user_data` : | user data set when the signal handler was connected.

Since 2.91.1